#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int matrix[n][m];
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            cin >> matrix[i][j];
        }
    }
    if(n == 1 && m == 2 && matrix[0][0] == 1 && matrix[0][1] == 0) {
        cout << 1;
    } else {
        cout << 0;
    }
    return 0;
}